package com.hzya.frame.plugin.cinvoice.lexmis.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;


import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 迈锐思-公共信息表
 * @tableName: LEXMISCIV_PUBLICINFO
 * @entityName: LexmisPublicinfoEntity
 * @author: gjh
 * @history: 1.0
 */
public class LexmisPublicinfoEntity extends BaseEntity {
    public LexmisPublicinfoEntity() {

    }

    public LexmisPublicinfoEntity(String PI_FORMDATAID,String dataSourceCode) {
        this.PI_FORMDATAID = PI_FORMDATAID;
        this.setDataSourceCode(dataSourceCode);
    }

    private String PI_BELONGID;
    /**
     * 无备注
     */
    private String PI_ID;
    /**
     * 无备注
     */
    private String PI_KEY;
    /**
     * 无备注
     */
    private String PI_KEY_NEW;
    /**
     * 无备注
     */
    private String PI_DATAKEY;
    /**
     * 无备注
     */
    private String PI_MAINCONFIGID;
    /**
     * 无备注
     */
    private String PI_TAXNO;
    /**
     * 无备注
     */
    private String PI_TABLENAME;
    /**
     * 无备注
     */
    private String PI_BILLKIND;
    /**
     * 无备注
     */
    private String PI_BILLNAME;
    /**
     * 无备注
     */
    private String PI_AMOUNT;
    /**
     * 无备注
     */
    private String PI_STATE;
    /**
     * 无备注
     */
    private String PI_FILEID;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_FILEDATE;
    /**
     * 无备注
     */
    private String PI_IMAGEPATH;
    /**
     * 无备注
     */
    private String PI_UPDATEDATA;
    /**
     * 无备注
     */
    private String PI_TYPE;
    /**
     * 无备注
     */
    private String PI_MEMBERID;
    /**
     * 无备注
     */
    private String PI_MEMBERNM;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_MAKEDATE;
    /**
     * 无备注
     */
    private String PI_BEStringID;
    /**
     * 无备注
     */
    private String PI_BEStringNM;
    /**
     * 无备注
     */
    private String PI_USEACCOUNTID;
    /**
     * 无备注
     */
    private String PI_USEACCOUNTNM;
    /**
     * 无备注
     */
    private String PI_USEDEPARTMENTID;
    /**
     * 无备注
     */
    private String PI_USEDEPARTMENTNM;
    /**
     * 无备注
     */
    private String PI_USEID;
    /**
     * 无备注
     */
    private String PI_USENM;
    /**
     * 无备注
     */
    private String PI_USESTATE;
    /**
     * 无备注
     */
    private String PI_SUMMARYID;
    /**
     * 无备注
     */
    private String PI_SUBJECT;
    /**
     * 无备注
     */
    private String PI_FORMID;
    /**
     * 无备注
     */
    private String PI_FORMDATAID;
    /**
     * 无备注
     */
    private String PI_TEMPLATEID;
    /**
     * 无备注
     */
    private String PI_STARTACCOUNTID;
    /**
     * 无备注
     */
    private String PI_STARTDEPARTMENTID;
    /**
     * 无备注
     */
    private String PI_STARTMEMBERID;
    /**
     * 无备注
     */
    private String PI_STARTMEMBERNM;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_STARTDATE;
    /**
     * 无备注
     */
    private String PI_DEALACCOUNTID;
    /**
     * 无备注
     */
    private String PI_DEALDEPARTMENTID;
    /**
     * 无备注
     */
    private String PI_DEALMEMBERID;
    /**
     * 无备注
     */
    private String PI_DEALMEMBERNM;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_DEALDATE;
    /**
     * 无备注
     */
    private String PI_DEALSTATE;
    /**
     * 无备注
     */
    private String PI_DEALPOLICY;
    /**
     * 无备注
     */
    private String PI_DEALINFO;
    /**
     * 无备注
     */
    private String PI_SHAREID;
    /**
     * 无备注
     */
    private String PI_SHARENM;
    /**
     * 无备注
     */
    private String PI_APITYPE;
    /**
     * 无备注
     */
    private String PI_ISVALID;
    /**
     * 无备注
     */
    private String PI_VALIDRESULT;
    /**
     * 无备注
     */
    private String PI_RESULTNM;
    /**
     * 无备注
     */
    private String PI_VALIDSTATE;
    /**
     * 无备注
     */
    private String PI_CLASSTYPE;
    /**
     * 无备注
     */
    private String PI_CLASSNAME;
    /**
     * 无备注
     */
    private String PI_RECOVERSTATE;
    /**
     * 无备注
     */
    private String PI_RECOVERMEMBERID;
    /**
     * 无备注
     */
    private String PI_RECOVERMEMBERNM;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_RECOVERDATE;
    /**
     * 无备注
     */
    private String PI_ORGID;
    /**
     * 无备注
     */
    private String PI_ORGNM;
    /**
     * 无备注
     */
    private String PI_YEAR;
    /**
     * 无备注
     */
    private String PI_MONTH;
    /**
     * 无备注
     */
    private String PI_QUARTER;
    /**
     * 无备注
     */
    private String PI_HALFYEAR;
    /**
     * 无备注
     */
    private String PI_XMMC;
    /**
     * 无备注
     */
    private String PI_FPDM;
    /**
     * 无备注
     */
    private String PI_FPHM;
    /**
     * 无备注
     */
    private String PI_SALERTAXNO;
    /**
     * 无备注
     */
    private String PI_SALERNAME;
    /**
     * 无备注
     */
    private String PI_BUYERTAXNO;
    /**
     * 无备注
     */
    private String PI_BUYERNAME;
    /**
     * 无备注
     */
    private String PI_INVOICETYPE;
    /**
     * 无备注
     */
    private String PI_INVOICENAME;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_INVOICEDATE;
    /**
     * 无备注
     */
    private String PI_FSTATION;
    /**
     * 无备注
     */
    private String PI_TSTATION;
    /**
     * 无备注
     */
    private String PI_USERNAME;
    /**
     * 无备注
     */
    private String PI_TRAINNO;
    /**
     * 无备注
     */
    private String PI_TRAINCODE;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_STARTDATETIME;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_ENDDATETIME;
    /**
     * 无备注
     */
    private String PI_STARTTIME;
    /**
     * 无备注
     */
    private String PI_ENDTIME;
    /**
     * 无备注
     */
    private String PI_TAXRATE;
    /**
     * 无备注
     */
    private String PI_TAXAMOUNT;
    /**
     * 无备注
     */
    private String PI_NOTAXAMOUNT;
    /**
     * 无备注
     */
    private String PI_DEDUCTIONAMOUNT;
    /**
     * 无备注
     */
    private String PI_FILEURL;
    /**
     * 无备注
     */
    private String PI_MATTERID;
    /**
     * 无备注
     */
    private String PI_VOUCHER;
    /**
     * 无备注
     */
    private String PI_VOUCHERINFO;
    /**
     * 无备注
     */
    private String PI_FIELD0001;
    /**
     * 无备注
     */
    private String PI_FIELD0002;
    /**
     * 无备注
     */
    private String PI_FIELD0003;
    /**
     * 无备注
     */
    private String PI_FIELD0004;
    /**
     * 无备注
     */
    private String PI_FIELD0005;
    /**
     * 无备注
     */
    private String PI_INVOICEVALIDSTATE;
    /**
     * 无备注
     */
    private String PI_MODIFYSTATE;
    /**
     * 无备注
     */
    private String PI_USAGEAMOUNT;
    /**
     * 无备注
     */
    private String PI_VERIFYAMOUNT;
    /**
     * 无备注
     */
    private String PI_UNUSEDAMOUNT;
    /**
     * 无备注
     */
    private String PI_USECOUNT;
    /**
     * 无备注
     */
    private String PI_FILENAME;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_UPDATEDATE;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_VOUCHERDATE;
    /**
     * 无备注
     */
    private String PI_CPAY_STATE;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date PI_CPAY_DATE;


    /**
     * 无备注
     */
    public void setPI_ID(String PI_ID) {
        this.PI_ID = PI_ID;
    }

    /**
     * 无备注
     */
    public String getPI_ID() {
        return PI_ID;
    }


    /**
     * 无备注
     */
    public void setPI_KEY(String PI_KEY) {
        this.PI_KEY = PI_KEY;
    }

    /**
     * 无备注
     */
    public String getPI_KEY() {
        return PI_KEY;
    }


    /**
     * 无备注
     */
    public void setPI_KEY_NEW(String PI_KEY_NEW) {
        this.PI_KEY_NEW = PI_KEY_NEW;
    }

    /**
     * 无备注
     */
    public String getPI_KEY_NEW() {
        return PI_KEY_NEW;
    }


    /**
     * 无备注
     */
    public void setPI_DATAKEY(String PI_DATAKEY) {
        this.PI_DATAKEY = PI_DATAKEY;
    }

    /**
     * 无备注
     */
    public String getPI_DATAKEY() {
        return PI_DATAKEY;
    }


    /**
     * 无备注
     */
    public void setPI_MAINCONFIGID(String PI_MAINCONFIGID) {
        this.PI_MAINCONFIGID = PI_MAINCONFIGID;
    }

    /**
     * 无备注
     */
    public String getPI_MAINCONFIGID() {
        return PI_MAINCONFIGID;
    }


    /**
     * 无备注
     */
    public void setPI_TAXNO(String PI_TAXNO) {
        this.PI_TAXNO = PI_TAXNO;
    }

    /**
     * 无备注
     */
    public String getPI_TAXNO() {
        return PI_TAXNO;
    }


    /**
     * 无备注
     */
    public void setPI_TABLENAME(String PI_TABLENAME) {
        this.PI_TABLENAME = PI_TABLENAME;
    }

    /**
     * 无备注
     */
    public String getPI_TABLENAME() {
        return PI_TABLENAME;
    }


    /**
     * 无备注
     */
    public void setPI_BILLKIND(String PI_BILLKIND) {
        this.PI_BILLKIND = PI_BILLKIND;
    }

    /**
     * 无备注
     */
    public String getPI_BILLKIND() {
        return PI_BILLKIND;
    }


    /**
     * 无备注
     */
    public void setPI_BILLNAME(String PI_BILLNAME) {
        this.PI_BILLNAME = PI_BILLNAME;
    }

    /**
     * 无备注
     */
    public String getPI_BILLNAME() {
        return PI_BILLNAME;
    }


    /**
     * 无备注
     */
    public void setPI_AMOUNT(String PI_AMOUNT) {
        this.PI_AMOUNT = PI_AMOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_AMOUNT() {
        return PI_AMOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_STATE(String PI_STATE) {
        this.PI_STATE = PI_STATE;
    }

    /**
     * 无备注
     */
    public String getPI_STATE() {
        return PI_STATE;
    }


    /**
     * 无备注
     */
    public void setPI_FILEID(String PI_FILEID) {
        this.PI_FILEID = PI_FILEID;
    }

    /**
     * 无备注
     */
    public String getPI_FILEID() {
        return PI_FILEID;
    }


    /**
     * 无备注
     */
    public void setPI_FILEDATE(Date PI_FILEDATE) {
        this.PI_FILEDATE = PI_FILEDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_FILEDATE() {
        return PI_FILEDATE;
    }


    /**
     * 无备注
     */
    public void setPI_IMAGEPATH(String PI_IMAGEPATH) {
        this.PI_IMAGEPATH = PI_IMAGEPATH;
    }

    /**
     * 无备注
     */
    public String getPI_IMAGEPATH() {
        return PI_IMAGEPATH;
    }


    /**
     * 无备注
     */
    public void setPI_UPDATEDATA(String PI_UPDATEDATA) {
        this.PI_UPDATEDATA = PI_UPDATEDATA;
    }

    /**
     * 无备注
     */
    public String getPI_UPDATEDATA() {
        return PI_UPDATEDATA;
    }


    /**
     * 无备注
     */
    public void setPI_TYPE(String PI_TYPE) {
        this.PI_TYPE = PI_TYPE;
    }

    /**
     * 无备注
     */
    public String getPI_TYPE() {
        return PI_TYPE;
    }


    /**
     * 无备注
     */
    public void setPI_MEMBERID(String PI_MEMBERID) {
        this.PI_MEMBERID = PI_MEMBERID;
    }

    /**
     * 无备注
     */
    public String getPI_MEMBERID() {
        return PI_MEMBERID;
    }


    /**
     * 无备注
     */
    public void setPI_MEMBERNM(String PI_MEMBERNM) {
        this.PI_MEMBERNM = PI_MEMBERNM;
    }

    /**
     * 无备注
     */
    public String getPI_MEMBERNM() {
        return PI_MEMBERNM;
    }


    /**
     * 无备注
     */
    public void setPI_MAKEDATE(Date PI_MAKEDATE) {
        this.PI_MAKEDATE = PI_MAKEDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_MAKEDATE() {
        return PI_MAKEDATE;
    }


    /**
     * 无备注
     */
    public void setPI_BEStringID(String PI_BEStringID) {
        this.PI_BEStringID = PI_BEStringID;
    }

    /**
     * 无备注
     */
    public String getPI_BEStringID() {
        return PI_BEStringID;
    }


    /**
     * 无备注
     */
    public void setPI_BEStringNM(String PI_BEStringNM) {
        this.PI_BEStringNM = PI_BEStringNM;
    }

    /**
     * 无备注
     */
    public String getPI_BEStringNM() {
        return PI_BEStringNM;
    }


    /**
     * 无备注
     */
    public void setPI_USEACCOUNTID(String PI_USEACCOUNTID) {
        this.PI_USEACCOUNTID = PI_USEACCOUNTID;
    }

    /**
     * 无备注
     */
    public String getPI_USEACCOUNTID() {
        return PI_USEACCOUNTID;
    }


    /**
     * 无备注
     */
    public void setPI_USEACCOUNTNM(String PI_USEACCOUNTNM) {
        this.PI_USEACCOUNTNM = PI_USEACCOUNTNM;
    }

    /**
     * 无备注
     */
    public String getPI_USEACCOUNTNM() {
        return PI_USEACCOUNTNM;
    }


    /**
     * 无备注
     */
    public void setPI_USEDEPARTMENTID(String PI_USEDEPARTMENTID) {
        this.PI_USEDEPARTMENTID = PI_USEDEPARTMENTID;
    }

    public String getPI_BELONGID() {
        return PI_BELONGID;
    }

    public void setPI_BELONGID(String PI_BELONGID) {
        this.PI_BELONGID = PI_BELONGID;
    }

    /**
     * 无备注
     */
    public String getPI_USEDEPARTMENTID() {
        return PI_USEDEPARTMENTID;
    }


    /**
     * 无备注
     */
    public void setPI_USEDEPARTMENTNM(String PI_USEDEPARTMENTNM) {
        this.PI_USEDEPARTMENTNM = PI_USEDEPARTMENTNM;
    }

    /**
     * 无备注
     */
    public String getPI_USEDEPARTMENTNM() {
        return PI_USEDEPARTMENTNM;
    }


    /**
     * 无备注
     */
    public void setPI_USEID(String PI_USEID) {
        this.PI_USEID = PI_USEID;
    }

    /**
     * 无备注
     */
    public String getPI_USEID() {
        return PI_USEID;
    }


    /**
     * 无备注
     */
    public void setPI_USENM(String PI_USENM) {
        this.PI_USENM = PI_USENM;
    }

    /**
     * 无备注
     */
    public String getPI_USENM() {
        return PI_USENM;
    }


    /**
     * 无备注
     */
    public void setPI_USESTATE(String PI_USESTATE) {
        this.PI_USESTATE = PI_USESTATE;
    }

    /**
     * 无备注
     */
    public String getPI_USESTATE() {
        return PI_USESTATE;
    }


    /**
     * 无备注
     */
    public void setPI_SUMMARYID(String PI_SUMMARYID) {
        this.PI_SUMMARYID = PI_SUMMARYID;
    }

    /**
     * 无备注
     */
    public String getPI_SUMMARYID() {
        return PI_SUMMARYID;
    }


    /**
     * 无备注
     */
    public void setPI_SUBJECT(String PI_SUBJECT) {
        this.PI_SUBJECT = PI_SUBJECT;
    }

    /**
     * 无备注
     */
    public String getPI_SUBJECT() {
        return PI_SUBJECT;
    }


    /**
     * 无备注
     */
    public void setPI_FORMID(String PI_FORMID) {
        this.PI_FORMID = PI_FORMID;
    }

    /**
     * 无备注
     */
    public String getPI_FORMID() {
        return PI_FORMID;
    }


    /**
     * 无备注
     */
    public void setPI_FORMDATAID(String PI_FORMDATAID) {
        this.PI_FORMDATAID = PI_FORMDATAID;
    }

    /**
     * 无备注
     */
    public String getPI_FORMDATAID() {
        return PI_FORMDATAID;
    }


    /**
     * 无备注
     */
    public void setPI_TEMPLATEID(String PI_TEMPLATEID) {
        this.PI_TEMPLATEID = PI_TEMPLATEID;
    }

    /**
     * 无备注
     */
    public String getPI_TEMPLATEID() {
        return PI_TEMPLATEID;
    }


    /**
     * 无备注
     */
    public void setPI_STARTACCOUNTID(String PI_STARTACCOUNTID) {
        this.PI_STARTACCOUNTID = PI_STARTACCOUNTID;
    }

    /**
     * 无备注
     */
    public String getPI_STARTACCOUNTID() {
        return PI_STARTACCOUNTID;
    }


    /**
     * 无备注
     */
    public void setPI_STARTDEPARTMENTID(String PI_STARTDEPARTMENTID) {
        this.PI_STARTDEPARTMENTID = PI_STARTDEPARTMENTID;
    }

    /**
     * 无备注
     */
    public String getPI_STARTDEPARTMENTID() {
        return PI_STARTDEPARTMENTID;
    }


    /**
     * 无备注
     */
    public void setPI_STARTMEMBERID(String PI_STARTMEMBERID) {
        this.PI_STARTMEMBERID = PI_STARTMEMBERID;
    }

    /**
     * 无备注
     */
    public String getPI_STARTMEMBERID() {
        return PI_STARTMEMBERID;
    }


    /**
     * 无备注
     */
    public void setPI_STARTMEMBERNM(String PI_STARTMEMBERNM) {
        this.PI_STARTMEMBERNM = PI_STARTMEMBERNM;
    }

    /**
     * 无备注
     */
    public String getPI_STARTMEMBERNM() {
        return PI_STARTMEMBERNM;
    }


    /**
     * 无备注
     */
    public void setPI_STARTDATE(Date PI_STARTDATE) {
        this.PI_STARTDATE = PI_STARTDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_STARTDATE() {
        return PI_STARTDATE;
    }


    /**
     * 无备注
     */
    public void setPI_DEALACCOUNTID(String PI_DEALACCOUNTID) {
        this.PI_DEALACCOUNTID = PI_DEALACCOUNTID;
    }

    /**
     * 无备注
     */
    public String getPI_DEALACCOUNTID() {
        return PI_DEALACCOUNTID;
    }


    /**
     * 无备注
     */
    public void setPI_DEALDEPARTMENTID(String PI_DEALDEPARTMENTID) {
        this.PI_DEALDEPARTMENTID = PI_DEALDEPARTMENTID;
    }

    /**
     * 无备注
     */
    public String getPI_DEALDEPARTMENTID() {
        return PI_DEALDEPARTMENTID;
    }


    /**
     * 无备注
     */
    public void setPI_DEALMEMBERID(String PI_DEALMEMBERID) {
        this.PI_DEALMEMBERID = PI_DEALMEMBERID;
    }

    /**
     * 无备注
     */
    public String getPI_DEALMEMBERID() {
        return PI_DEALMEMBERID;
    }


    /**
     * 无备注
     */
    public void setPI_DEALMEMBERNM(String PI_DEALMEMBERNM) {
        this.PI_DEALMEMBERNM = PI_DEALMEMBERNM;
    }

    /**
     * 无备注
     */
    public String getPI_DEALMEMBERNM() {
        return PI_DEALMEMBERNM;
    }


    /**
     * 无备注
     */
    public void setPI_DEALDATE(Date PI_DEALDATE) {
        this.PI_DEALDATE = PI_DEALDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_DEALDATE() {
        return PI_DEALDATE;
    }


    /**
     * 无备注
     */
    public void setPI_DEALSTATE(String PI_DEALSTATE) {
        this.PI_DEALSTATE = PI_DEALSTATE;
    }

    /**
     * 无备注
     */
    public String getPI_DEALSTATE() {
        return PI_DEALSTATE;
    }


    /**
     * 无备注
     */
    public void setPI_DEALPOLICY(String PI_DEALPOLICY) {
        this.PI_DEALPOLICY = PI_DEALPOLICY;
    }

    /**
     * 无备注
     */
    public String getPI_DEALPOLICY() {
        return PI_DEALPOLICY;
    }


    /**
     * 无备注
     */
    public void setPI_DEALINFO(String PI_DEALINFO) {
        this.PI_DEALINFO = PI_DEALINFO;
    }

    /**
     * 无备注
     */
    public String getPI_DEALINFO() {
        return PI_DEALINFO;
    }


    /**
     * 无备注
     */
    public void setPI_SHAREID(String PI_SHAREID) {
        this.PI_SHAREID = PI_SHAREID;
    }

    /**
     * 无备注
     */
    public String getPI_SHAREID() {
        return PI_SHAREID;
    }


    /**
     * 无备注
     */
    public void setPI_SHARENM(String PI_SHARENM) {
        this.PI_SHARENM = PI_SHARENM;
    }

    /**
     * 无备注
     */
    public String getPI_SHARENM() {
        return PI_SHARENM;
    }


    /**
     * 无备注
     */
    public void setPI_APITYPE(String PI_APITYPE) {
        this.PI_APITYPE = PI_APITYPE;
    }

    /**
     * 无备注
     */
    public String getPI_APITYPE() {
        return PI_APITYPE;
    }


    /**
     * 无备注
     */
    public void setPI_ISVALID(String PI_ISVALID) {
        this.PI_ISVALID = PI_ISVALID;
    }

    /**
     * 无备注
     */
    public String getPI_ISVALID() {
        return PI_ISVALID;
    }


    /**
     * 无备注
     */
    public void setPI_VALIDRESULT(String PI_VALIDRESULT) {
        this.PI_VALIDRESULT = PI_VALIDRESULT;
    }

    /**
     * 无备注
     */
    public String getPI_VALIDRESULT() {
        return PI_VALIDRESULT;
    }


    /**
     * 无备注
     */
    public void setPI_RESULTNM(String PI_RESULTNM) {
        this.PI_RESULTNM = PI_RESULTNM;
    }

    /**
     * 无备注
     */
    public String getPI_RESULTNM() {
        return PI_RESULTNM;
    }


    /**
     * 无备注
     */
    public void setPI_VALIDSTATE(String PI_VALIDSTATE) {
        this.PI_VALIDSTATE = PI_VALIDSTATE;
    }

    /**
     * 无备注
     */
    public String getPI_VALIDSTATE() {
        return PI_VALIDSTATE;
    }


    /**
     * 无备注
     */
    public void setPI_CLASSTYPE(String PI_CLASSTYPE) {
        this.PI_CLASSTYPE = PI_CLASSTYPE;
    }

    /**
     * 无备注
     */
    public String getPI_CLASSTYPE() {
        return PI_CLASSTYPE;
    }


    /**
     * 无备注
     */
    public void setPI_CLASSNAME(String PI_CLASSNAME) {
        this.PI_CLASSNAME = PI_CLASSNAME;
    }

    /**
     * 无备注
     */
    public String getPI_CLASSNAME() {
        return PI_CLASSNAME;
    }


    /**
     * 无备注
     */
    public void setPI_RECOVERSTATE(String PI_RECOVERSTATE) {
        this.PI_RECOVERSTATE = PI_RECOVERSTATE;
    }

    /**
     * 无备注
     */
    public String getPI_RECOVERSTATE() {
        return PI_RECOVERSTATE;
    }


    /**
     * 无备注
     */
    public void setPI_RECOVERMEMBERID(String PI_RECOVERMEMBERID) {
        this.PI_RECOVERMEMBERID = PI_RECOVERMEMBERID;
    }

    /**
     * 无备注
     */
    public String getPI_RECOVERMEMBERID() {
        return PI_RECOVERMEMBERID;
    }


    /**
     * 无备注
     */
    public void setPI_RECOVERMEMBERNM(String PI_RECOVERMEMBERNM) {
        this.PI_RECOVERMEMBERNM = PI_RECOVERMEMBERNM;
    }

    /**
     * 无备注
     */
    public String getPI_RECOVERMEMBERNM() {
        return PI_RECOVERMEMBERNM;
    }


    /**
     * 无备注
     */
    public void setPI_RECOVERDATE(Date PI_RECOVERDATE) {
        this.PI_RECOVERDATE = PI_RECOVERDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_RECOVERDATE() {
        return PI_RECOVERDATE;
    }


    /**
     * 无备注
     */
    public void setPI_ORGID(String PI_ORGID) {
        this.PI_ORGID = PI_ORGID;
    }

    /**
     * 无备注
     */
    public String getPI_ORGID() {
        return PI_ORGID;
    }


    /**
     * 无备注
     */
    public void setPI_ORGNM(String PI_ORGNM) {
        this.PI_ORGNM = PI_ORGNM;
    }

    /**
     * 无备注
     */
    public String getPI_ORGNM() {
        return PI_ORGNM;
    }


    /**
     * 无备注
     */
    public void setPI_YEAR(String PI_YEAR) {
        this.PI_YEAR = PI_YEAR;
    }

    /**
     * 无备注
     */
    public String getPI_YEAR() {
        return PI_YEAR;
    }


    /**
     * 无备注
     */
    public void setPI_MONTH(String PI_MONTH) {
        this.PI_MONTH = PI_MONTH;
    }

    /**
     * 无备注
     */
    public String getPI_MONTH() {
        return PI_MONTH;
    }


    /**
     * 无备注
     */
    public void setPI_QUARTER(String PI_QUARTER) {
        this.PI_QUARTER = PI_QUARTER;
    }

    /**
     * 无备注
     */
    public String getPI_QUARTER() {
        return PI_QUARTER;
    }


    /**
     * 无备注
     */
    public void setPI_HALFYEAR(String PI_HALFYEAR) {
        this.PI_HALFYEAR = PI_HALFYEAR;
    }

    /**
     * 无备注
     */
    public String getPI_HALFYEAR() {
        return PI_HALFYEAR;
    }


    /**
     * 无备注
     */
    public void setPI_XMMC(String PI_XMMC) {
        this.PI_XMMC = PI_XMMC;
    }

    /**
     * 无备注
     */
    public String getPI_XMMC() {
        return PI_XMMC;
    }


    /**
     * 无备注
     */
    public void setPI_FPDM(String PI_FPDM) {
        this.PI_FPDM = PI_FPDM;
    }

    /**
     * 无备注
     */
    public String getPI_FPDM() {
        return PI_FPDM;
    }


    /**
     * 无备注
     */
    public void setPI_FPHM(String PI_FPHM) {
        this.PI_FPHM = PI_FPHM;
    }

    /**
     * 无备注
     */
    public String getPI_FPHM() {
        return PI_FPHM;
    }


    /**
     * 无备注
     */
    public void setPI_SALERTAXNO(String PI_SALERTAXNO) {
        this.PI_SALERTAXNO = PI_SALERTAXNO;
    }

    /**
     * 无备注
     */
    public String getPI_SALERTAXNO() {
        return PI_SALERTAXNO;
    }


    /**
     * 无备注
     */
    public void setPI_SALERNAME(String PI_SALERNAME) {
        this.PI_SALERNAME = PI_SALERNAME;
    }

    /**
     * 无备注
     */
    public String getPI_SALERNAME() {
        return PI_SALERNAME;
    }


    /**
     * 无备注
     */
    public void setPI_BUYERTAXNO(String PI_BUYERTAXNO) {
        this.PI_BUYERTAXNO = PI_BUYERTAXNO;
    }

    /**
     * 无备注
     */
    public String getPI_BUYERTAXNO() {
        return PI_BUYERTAXNO;
    }


    /**
     * 无备注
     */
    public void setPI_BUYERNAME(String PI_BUYERNAME) {
        this.PI_BUYERNAME = PI_BUYERNAME;
    }

    /**
     * 无备注
     */
    public String getPI_BUYERNAME() {
        return PI_BUYERNAME;
    }


    /**
     * 无备注
     */
    public void setPI_INVOICETYPE(String PI_INVOICETYPE) {
        this.PI_INVOICETYPE = PI_INVOICETYPE;
    }

    /**
     * 无备注
     */
    public String getPI_INVOICETYPE() {
        return PI_INVOICETYPE;
    }


    /**
     * 无备注
     */
    public void setPI_INVOICENAME(String PI_INVOICENAME) {
        this.PI_INVOICENAME = PI_INVOICENAME;
    }

    /**
     * 无备注
     */
    public String getPI_INVOICENAME() {
        return PI_INVOICENAME;
    }


    /**
     * 无备注
     */
    public void setPI_INVOICEDATE(Date PI_INVOICEDATE) {
        this.PI_INVOICEDATE = PI_INVOICEDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_INVOICEDATE() {
        return PI_INVOICEDATE;
    }


    /**
     * 无备注
     */
    public void setPI_FSTATION(String PI_FSTATION) {
        this.PI_FSTATION = PI_FSTATION;
    }

    /**
     * 无备注
     */
    public String getPI_FSTATION() {
        return PI_FSTATION;
    }


    /**
     * 无备注
     */
    public void setPI_TSTATION(String PI_TSTATION) {
        this.PI_TSTATION = PI_TSTATION;
    }

    /**
     * 无备注
     */
    public String getPI_TSTATION() {
        return PI_TSTATION;
    }


    /**
     * 无备注
     */
    public void setPI_USERNAME(String PI_USERNAME) {
        this.PI_USERNAME = PI_USERNAME;
    }

    /**
     * 无备注
     */
    public String getPI_USERNAME() {
        return PI_USERNAME;
    }


    /**
     * 无备注
     */
    public void setPI_TRAINNO(String PI_TRAINNO) {
        this.PI_TRAINNO = PI_TRAINNO;
    }

    /**
     * 无备注
     */
    public String getPI_TRAINNO() {
        return PI_TRAINNO;
    }


    /**
     * 无备注
     */
    public void setPI_TRAINCODE(String PI_TRAINCODE) {
        this.PI_TRAINCODE = PI_TRAINCODE;
    }

    /**
     * 无备注
     */
    public String getPI_TRAINCODE() {
        return PI_TRAINCODE;
    }


    /**
     * 无备注
     */
    public void setPI_STARTDATETIME(Date PI_STARTDATETIME) {
        this.PI_STARTDATETIME = PI_STARTDATETIME;
    }

    /**
     * 无备注
     */
    public Date getPI_STARTDATETIME() {
        return PI_STARTDATETIME;
    }


    /**
     * 无备注
     */
    public void setPI_ENDDATETIME(Date PI_ENDDATETIME) {
        this.PI_ENDDATETIME = PI_ENDDATETIME;
    }

    /**
     * 无备注
     */
    public Date getPI_ENDDATETIME() {
        return PI_ENDDATETIME;
    }


    /**
     * 无备注
     */
    public void setPI_STARTTIME(String PI_STARTTIME) {
        this.PI_STARTTIME = PI_STARTTIME;
    }

    /**
     * 无备注
     */
    public String getPI_STARTTIME() {
        return PI_STARTTIME;
    }


    /**
     * 无备注
     */
    public void setPI_ENDTIME(String PI_ENDTIME) {
        this.PI_ENDTIME = PI_ENDTIME;
    }

    /**
     * 无备注
     */
    public String getPI_ENDTIME() {
        return PI_ENDTIME;
    }


    /**
     * 无备注
     */
    public void setPI_TAXRATE(String PI_TAXRATE) {
        this.PI_TAXRATE = PI_TAXRATE;
    }

    /**
     * 无备注
     */
    public String getPI_TAXRATE() {
        return PI_TAXRATE;
    }


    /**
     * 无备注
     */
    public void setPI_TAXAMOUNT(String PI_TAXAMOUNT) {
        this.PI_TAXAMOUNT = PI_TAXAMOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_TAXAMOUNT() {
        return PI_TAXAMOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_NOTAXAMOUNT(String PI_NOTAXAMOUNT) {
        this.PI_NOTAXAMOUNT = PI_NOTAXAMOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_NOTAXAMOUNT() {
        return PI_NOTAXAMOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_DEDUCTIONAMOUNT(String PI_DEDUCTIONAMOUNT) {
        this.PI_DEDUCTIONAMOUNT = PI_DEDUCTIONAMOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_DEDUCTIONAMOUNT() {
        return PI_DEDUCTIONAMOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_FILEURL(String PI_FILEURL) {
        this.PI_FILEURL = PI_FILEURL;
    }

    /**
     * 无备注
     */
    public String getPI_FILEURL() {
        return PI_FILEURL;
    }


    /**
     * 无备注
     */
    public void setPI_MATTERID(String PI_MATTERID) {
        this.PI_MATTERID = PI_MATTERID;
    }

    /**
     * 无备注
     */
    public String getPI_MATTERID() {
        return PI_MATTERID;
    }


    /**
     * 无备注
     */
    public void setPI_VOUCHER(String PI_VOUCHER) {
        this.PI_VOUCHER = PI_VOUCHER;
    }

    /**
     * 无备注
     */
    public String getPI_VOUCHER() {
        return PI_VOUCHER;
    }


    /**
     * 无备注
     */
    public void setPI_VOUCHERINFO(String PI_VOUCHERINFO) {
        this.PI_VOUCHERINFO = PI_VOUCHERINFO;
    }

    /**
     * 无备注
     */
    public String getPI_VOUCHERINFO() {
        return PI_VOUCHERINFO;
    }


    /**
     * 无备注
     */
    public void setPI_FIELD0001(String PI_FIELD0001) {
        this.PI_FIELD0001 = PI_FIELD0001;
    }

    /**
     * 无备注
     */
    public String getPI_FIELD0001() {
        return PI_FIELD0001;
    }


    /**
     * 无备注
     */
    public void setPI_FIELD0002(String PI_FIELD0002) {
        this.PI_FIELD0002 = PI_FIELD0002;
    }

    /**
     * 无备注
     */
    public String getPI_FIELD0002() {
        return PI_FIELD0002;
    }


    /**
     * 无备注
     */
    public void setPI_FIELD0003(String PI_FIELD0003) {
        this.PI_FIELD0003 = PI_FIELD0003;
    }

    /**
     * 无备注
     */
    public String getPI_FIELD0003() {
        return PI_FIELD0003;
    }


    /**
     * 无备注
     */
    public void setPI_FIELD0004(String PI_FIELD0004) {
        this.PI_FIELD0004 = PI_FIELD0004;
    }

    /**
     * 无备注
     */
    public String getPI_FIELD0004() {
        return PI_FIELD0004;
    }


    /**
     * 无备注
     */
    public void setPI_FIELD0005(String PI_FIELD0005) {
        this.PI_FIELD0005 = PI_FIELD0005;
    }

    /**
     * 无备注
     */
    public String getPI_FIELD0005() {
        return PI_FIELD0005;
    }


    /**
     * 无备注
     */
    public void setPI_INVOICEVALIDSTATE(String PI_INVOICEVALIDSTATE) {
        this.PI_INVOICEVALIDSTATE = PI_INVOICEVALIDSTATE;
    }

    /**
     * 无备注
     */
    public String getPI_INVOICEVALIDSTATE() {
        return PI_INVOICEVALIDSTATE;
    }


    /**
     * 无备注
     */
    public void setPI_MODIFYSTATE(String PI_MODIFYSTATE) {
        this.PI_MODIFYSTATE = PI_MODIFYSTATE;
    }

    /**
     * 无备注
     */
    public String getPI_MODIFYSTATE() {
        return PI_MODIFYSTATE;
    }


    /**
     * 无备注
     */
    public void setPI_USAGEAMOUNT(String PI_USAGEAMOUNT) {
        this.PI_USAGEAMOUNT = PI_USAGEAMOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_USAGEAMOUNT() {
        return PI_USAGEAMOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_VERIFYAMOUNT(String PI_VERIFYAMOUNT) {
        this.PI_VERIFYAMOUNT = PI_VERIFYAMOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_VERIFYAMOUNT() {
        return PI_VERIFYAMOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_UNUSEDAMOUNT(String PI_UNUSEDAMOUNT) {
        this.PI_UNUSEDAMOUNT = PI_UNUSEDAMOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_UNUSEDAMOUNT() {
        return PI_UNUSEDAMOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_USECOUNT(String PI_USECOUNT) {
        this.PI_USECOUNT = PI_USECOUNT;
    }

    /**
     * 无备注
     */
    public String getPI_USECOUNT() {
        return PI_USECOUNT;
    }


    /**
     * 无备注
     */
    public void setPI_FILENAME(String PI_FILENAME) {
        this.PI_FILENAME = PI_FILENAME;
    }

    /**
     * 无备注
     */
    public String getPI_FILENAME() {
        return PI_FILENAME;
    }


    /**
     * 无备注
     */
    public void setPI_UPDATEDATE(Date PI_UPDATEDATE) {
        this.PI_UPDATEDATE = PI_UPDATEDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_UPDATEDATE() {
        return PI_UPDATEDATE;
    }


    /**
     * 无备注
     */
    public void setPI_VOUCHERDATE(Date PI_VOUCHERDATE) {
        this.PI_VOUCHERDATE = PI_VOUCHERDATE;
    }

    /**
     * 无备注
     */
    public Date getPI_VOUCHERDATE() {
        return PI_VOUCHERDATE;
    }


    /**
     * 无备注
     */
    public void setPI_CPAY_STATE(String PI_CPAY_STATE) {
        this.PI_CPAY_STATE = PI_CPAY_STATE;
    }

    /**
     * 无备注
     */
    public String getPI_CPAY_STATE() {
        return PI_CPAY_STATE;
    }


    /**
     * 无备注
     */
    public void setPI_CPAY_DATE(Date PI_CPAY_DATE) {
        this.PI_CPAY_DATE = PI_CPAY_DATE;
    }

    /**
     * 无备注
     */
    public Date getPI_CPAY_DATE() {
        return PI_CPAY_DATE;
    }


}
